Subject: bug#24300: intprops.h - _GL_INT_OPT_WRAPV_LONGISH (xxx))

From: "John E. Malmberg" <[email-masked]>
Date: Thu, 25 Aug 2016 08:06:48 -0500

> Apparently this part of the code has never been exercised on any
 > platform before (which means you get to be the brave adventurer .
 > It's not often we run into a platform lacking decent 'long long'
 > support these days.

FYI: The port I am working on is in a Mecurial repository at:
https://sourceforge.net/p/gnv/diff_utils/ci/default/tree/

It is not related to the Steven Schweda port.

It is organized with the unmodified upstream code in one directory tree 
branch and the OpenVMS specific files in another directory tree.

The OpenVMS build procedure overlays the the two directory.  In theory, 
I can change the overlay setup to build against a checkout of a beta 
release or even master.  (OpenVMS can not yet run autotools)

This will end up as part of the updated GNV project
https://sourceforge.net/projects/gnv/

Building diffutils on OpenVMS for use with GNV was done with the
following minimum software versions

  * HP C 7.x
  * GNV AR_TOOLS 3.0.2
  * GNV Bash 4.3.42
  * GNV Coreutils 8.24
  * GNV Grep 4.1.3
  * GNV LD_TOOLS 3.0.4
  * GNV MAKE 3.78.1  - Special Fork, GNU make will not work for this.
  * GNV SED V4.2.2
  ZIP 3.0 available by foreign command.

PASS: basic
PASS: bignum
PASS: binary
brief-vs-stat-zero-kernel-lies: skipped test: no /proc/cmdline file
SKIP: brief-vs-stat-zero-kernel-lies
PASS: colliding-file-names
diff3: set-up failure:
ERROR: diff3
PASS: excess-slash
SKIP: help-version
PASS: function-line-vs-leading-space
PASS: ignore-matching-lines
PASS: label-vs-func
FAIL: new-file
PASS: no-dereference
FAIL: no-newline-at-eof
PASS: stdin
PASS: strcoll-0-names
FAIL: filename-quoting
FAIL: colors
============================================================================
Testsuite summary for GNU diffutils 3.5
============================================================================
# TOTAL: 18
# PASS:  11
# SKIP:  2
# XFAIL: 0
# FAIL:  4
# XPASS: 0
# ERROR: 1

I am still investigating the diff3 test failure, and need to implement a 
replacement popen() routine on VMS before I can release a fully 
functional binary kit.

The launched editor portion will not be implemented as none of the 
native interactive OpenVMS editors will run with stdin/stdout not being 
a terminal device.

The rest of the failures/skips appear to be from differences in how 
OpenVMS works from what the shell scripts expect.

No /proc, No /dev except for /dev/null, no mkfifo, etc.

Regards,
-John